%define upstream_name Newt
%define upstream_version 1.08

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 19
Summary:        Edit configuration files through Augeas C library
License:        Artistic
Group:          System/Configuration
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMEDINA/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		newt-perl-1.08-debian.patch
Patch1:		newt-perl-1.08-typemap.patch
Patch2:		newt-perl-1.08-fix.patch
Patch3:		newt-perl-1.08-xs.patch
Patch4:		newt-perl-1.08-lang.patch
Patch5:		perl-Newt-bz385751.patch
Patch6:		perl-Newt-1.08-fix_pointer_type.patch

BuildRequires:  perl-devel,newt-devel,popt-devel

%description
Perl bindings for RedHat newt library

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

rm -rf newtlib

%build
%__perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make

%install
%make_install
find %{buildroot} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find %{buildroot} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc ChangeLog README
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.80.0-19.mga10
+ Revision: 2235138
- Mageia 10 Mass Rebuild

* Thu Jan 30 2025 daviddavid <daviddavid> 1.80.0-18.mga10
+ Revision: 2143642
- Fix pointer type (rhbz#2341033)
  * Thanks Paul Howarth

* Sun Dec 22 2024 pterjan <pterjan> 1.80.0-17.mga10
+ Revision: 2128043
- Rebuild for patchN deprecation

* Thu Aug 22 2024 neoclust <neoclust> 1.80.0-16.mga10
+ Revision: 2088180
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.80.0-15.mga10
+ Revision: 2010603
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.80.0-14.mga9
+ Revision: 1862244
- Rebuild for Perl 5.36

* Sat Mar 19 2022 umeabot <umeabot> 1.80.0-13.mga9
+ Revision: 1800607
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.80.0-12.mga9
+ Revision: 1726959
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.80.0-11.mga8
+ Revision: 1595123
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.80.0-10.mga8
+ Revision: 1530005
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.80.0-9.mga8
+ Revision: 1433861
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.80.0-8.mga7
+ Revision: 1293576
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.80.0-7.mga7
+ Revision: 1249862
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.80.0-6.mga7
+ Revision: 1166024
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.80.0-5.mga7
+ Revision: 1149880
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.80.0-4.mga7
+ Revision: 1127581
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-3.mga6
+ Revision: 1031343
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.80.0-2.mga6
+ Revision: 957823
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 1.80.0-1.mga6
+ Revision: 854336
- Update spec

* Fri Jun 26 2015 tv <tv> 1.08-13.mga6
+ Revision: 845060
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.08-12.mga6
+ Revision: 842499
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.08-11.mga5
+ Revision: 741545
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.08-10.mga5
+ Revision: 685753
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.08-9.mga5
+ Revision: 631530
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.08-8.mga4
+ Revision: 524959
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.08-7.mga4
+ Revision: 431694
- perl 5.18.0 rebuild

* Wed Jan 23 2013 fwang <fwang> 1.08-6.mga3
+ Revision: 391507
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 1.08-5.mga3
+ Revision: 370990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.08-4.mga3
+ Revision: 251001
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.08-3.mga2
+ Revision: 104896
- Rebuild for perl 5.14

* Thu Jan 20 2011 jquelin <jquelin> 1.08-2.mga1
+ Revision: 26756
- mageia rebuild
- imported package perl-Newt


* Wed Aug 26 2009 Bruno Cornec <bcornec@mandriva.org> 1.08-2mdv2010.0
+ Revision: 421312
- Update to fedora -22 version to remove a AUTOLOAD warning with an additional patch

* Sat Aug 22 2009 Bruno Cornec <bcornec@mandriva.org> 1.08-1mdv2010.0
+ Revision: 419436
- Initial import based on Fedora package
- create perl-Newt

